<script>


  function do_Excel() {
    if( window.confirm('【制御マスタExcel出力】をします。よろしいですか？') ){
      let param2 = { "method": "GetWseqMjan" };
      let excelid = "AF99M";
      $.ajax({
        type: "GET",
        url: "../../api/getWseq.php",
        data: param2,
        dataType: "json",
        scriptCharset: 'utf-8',
        success: function(data, status, xhr) {
          var wurl = "{$_REPORT_URL}" + "AF999JE?WSEQ=" + JSON.parse(data.data)
                  + "&IREP=" + excelid
                  + "&CHGCD=" + "{$_SYSTEM_NAME_EN_CHGCD}"
                  + "&ACCD=" + "{$_SYSTEM_NAME_EN_ACCD}"
                  + "&DBNO=" + "{$_SYSTEM_NO}"
                  + "&JOKEN1=" + "{$_SYSTEM_NAME_EN_LGKTKTCD}";
          window.open(wurl, excelid+JSON.parse(data.data));
        }
      });
    } 
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 削除/廃止
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      $(".btn-clear").trigger("click");
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       $(".btn-reg-before").trigger("click");
   });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
      do_Excel();
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    //操作可/不可ボタン
    if($("#detailTop").hasClass("noevent")){  //初期
    } else {  //表示後
    }
    //=== header ===

    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e){
      alert("登録しました");
      location.replace("./");
    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var frm = $(".detail");
      var chkitem;
      common.clearFormError(frm);

      {*半角・全角チェック*}
      chkitem = frm.find(".fknmk");
      if (!stringUtil.isEmpty(common.getValue(chkitem))) {
        if (!stringUtil.checkCharType(common.getValue(chkitem), "hankaku")) {
          wprompt = '会社名(カナ)は半角で入力して下さい。';
          common.addError(chkitem, wprompt, null, true);
          errflg = true;
        }
      }

      if (errflg) {
        alert('エラーがあります。');
      } else {
        $(".headermenu").find(".btn-reg").trigger("click");
      }
    });

    //=== header ===

    //=== body ===

    //=== footer ===


    // 初回フォーカス
    $("#detail").find(".hnm").focus();
  });


</script>
